# Generated from aws-sdk-1.56.0.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name aws-sdk
%global rubyabi 1.9.1

Summary: AWS SDK for Ruby V1
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.56.0
Release: 1%{?dist}
Group: Development/Languages
License: Apache 2.0
URL: http://aws.amazon.com/sdkforruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
Requires: %{?scl_prefix}rubygem(aws-sdk-v1) = 1.56.0
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Build Ruby applications with the aws-sdk gem that takes the complexity
out of coding directly against the web service interfaces. The gem handles
common tasks, such as authentication, request retries, XML processing,
error handling, and more.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.*
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Mon May 11 2015 Joe VLcek <jvlcek@redhat.com> - 1.56.0-1
- Upstream release 1.56.0

* Thu Jun 27 2013 Steve Linabery <slinaber@redhat.com> - 1.11.3-1
- Upstream release 1.11.3

* Fri Sep 7 2012 Brett Lentz <blentz@redhat.com> - 1.6.5-1
- Upstream release 1.6.5

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 31 2012 Brett Lentz <blentz@redhat.com> - 1.5.2-1
- Upstream release 1.5.2

* Wed Apr 25 2012 Marek Goldmann <mgoldman@redhat.com> - 1.4.1-1
- Upstream release 1.4.1

* Tue Mar 13 2012 Brett Lentz <blentz@redhat.com> - 1.3.7-1
- Upstream release 1.3.7

* Tue Mar 06 2012 Brett Lentz <blentz@redhat.com> - 1.3.5-1
- Upstream release 1.3.5

* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 1.1.1-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 23 2011 Marek Goldmann <mgoldman@redhat.com> - 1.1.1-1
- Upstream release 1.1.1

* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> - 1.0.4-1
- Upstream release 1.0.4

* Tue Jul 26 2011 Marek Goldmann <mgoldman@redhat.com> - 1.0.2-1
- Upstream release 1.0.2

* Tue Jul 19 2011 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-1
- Initial package
